Skip to content

Search for potential duplicates

Request

This method takes in an order that has not yet been placed, and returns information about order pricing and available options

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The data you would like to try to check for duplicates

address_postal_codestring(Address Postal Code)

The address postal code of the organization

domain_namestring(Domain Name)

Domain names that are associated with this organization

facebookstring(Facebook)

Url to the organization's Facebook account

linked_instring(Linked In)

Url to the organization's LinkedIn account

main_phone_numberstring(Main Phone Number)

The primary phone number

minimum_confidencenumber, (float)(Minimum Confidence)

The minimum degree of confidence on a scale of 1 to 100 that you would like considered a potential duplicate

namestring(Name)required

The name of the organization

parent_organization_idstring(Parent Organization)

The parent organization of this one

twitterstring(Twitter)

Url to the organization's Twitter account

websitestring(Website)

The url of the organization website

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/organizationDuplicates/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "address_postal_code": "string",
    "domain_name": "string",
    "facebook": "string",
    "linked_in": "string",
    "main_phone_number": "string",
    "minimum_confidence": 0.1,
    "name": "string",
    "parent_organization_id": "string",
    "twitter": "string",
    "website": "string"
  }'

Responses

Potential duplicates were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
confidencenumber, (float)(Confidence)required

The likelihood that these two organizations are duplicates on a scale of 1 to 100

matchstring(Match)required

The ID of the organization that is a potential duplicate

]
Response
[ { "confidence": 0.1, "match": "string" } ]